package test.active;

import replica.*;

/**
 * This class is an executable class. It demonstrates how the active replication works.
 *
 * @author Markus Jger
 * @version 1.0
 * 
 * @see Server
 */
public class Client {
  public static void main(String argv[]) {    

    // determin port
    int contactPort = 12345;
    if (argv.length >=1) {
      try {
	contactPort = Integer.parseInt(argv[0]);
      } catch (NumberFormatException e) {
	contactPort = 12345;
      }
    }
      
    // start ReplicationEnvironment
    new ReplicationEnvironment();
      
    // get remote NameService
    NameService remoteNS = NameService.getRemoteNS(contactPort);
      
    try {	  
      Diary diary = (Diary)remoteNS.get("Diary");
    } catch(Throwable th) {
      System.out.println("Exception(Client): "+th.getClass().getName()+
			 " "+th.getMessage());
      System.exit(1);
    }
  } 
}
