package test.active;

/** 
 * This class represents a diary. It is used to demonstrate active replication. 
 *
 * @author Markus Jger
 * @version 1.0
 * 
 * @ see Server
 * @ see Client
 */
public class Diary {
 
  String entries[][];
  DiaryDisplayInterface display;
  DiarySystemOutput out;

  /**
   * Create a diary and its display.
   */
  public Diary() {

    entries = new String[7][5];

    display = new DiaryDisplayInterface(this);

    out = new DiarySystemOutput();
  }

  /**
   * This method is used to retrieve an entry.
   *
   * @param day The day
   * @param time The time
   *
   * @return The entry
   */
  public String getEntryR(int day, int time) {

    try {
      out.println("Diary: getEntryR("+day+","+time+") called ("+entries[day][time]+")");
      return entries[day][time];
    } catch(IndexOutOfBoundsException ex) {
      return null;
    } 
  }
  
  /**
   * This method is used to insert an entry.
   *
   * @param day The day
   * @param time The time
   * @param newEnt The entry
   */
  public void setEntry(int day, int time, String newEnt) {

    
    out.println("Diary: setEntry("+day+","+time+","+newEnt+") called");
    
    try {
	entries[day][time] = newEnt;
    } catch(IndexOutOfBoundsException ex) {}

    display.notifyDisplay(day, time, newEnt);
  
  }   
}
