package test.active;

import replica.*;

/**
 * This class is an executable class. It demonstrates how the active replication works.
 *
 * @author Markus Jger
 * @version 1.0
 * 
 * @see Client
 */
public class Server {
  public static void main(String argv[]) {
    
    // parse arguments
    int callInPort = 12345;
    if (argv.length >= 1) {
      try {
	callInPort = Integer.parseInt(argv[0]);
      } catch (NumberFormatException e) {
	callInPort = 12345;
      }
    }

    // start ReplicationEnvironment
    new ReplicationEnvironment(callInPort);

    // create an object 
    Diary diary = new Diary();
    new AccessControlObject(diary, new ActiveReplication());

    // register at NameService
    NameService.getLocalNS().register("Diary", diary);
  }
}
