package test.passive;

/** 
 * This class represents an object which provides monotonous increasing numbers.  
 * It is used to demonstrate passive replication.
 *
 * @author Markus Jger
 * @version 1.0
 * 
 * @ see Writer
 * @ see Reader
 */
public class OrderObject {
  
  private int value;
  
  /**
   * Create a OrderObject.
   */
  public OrderObject() {
    value = 0;
  }

  /**
   * This method informs about the next number.
   *
   * @return The next number
   */
  public int getNumber() {
    return value+1;
  }

  /**
   * This method generates the next number.
   *
   * @return The next number
   */
  public synchronized int incNumber() { 
    int tmp;
    tmp=value;
    value=tmp+1;

    return tmp+1;
  }
}




