package test.remote;
import java.util.*;

/** 
 * This class represents a database. It is used to demonstrate remote access. 
 *
 * @author Markus Jger
 * @version 1.0
 * 
 * @ see Server
 * @ see Query
 * @ see Update
 */
public class Database {
  private Hashtable entries;
  
  /**
   * Create a database.
   */
   public Database() {
    entries = new Hashtable(20);
  }
  
  /**
   * This method is used to insert an entry.
   *
   * @param key The key
   * @param value The entry
   */
   public synchronized void put(String key, String value) {
    System.out.println("Database(put): "+key+" "+value);

    entries.put(key, value);
  } 

  /**
   * This method is used to retrieve an entry.
   *
   * @param key The key
   *
   * @return The entry
   * @exception UnknownKeyException Thrown if the key is not known.
   */
  public synchronized String retrieve(String key) throws UnknownKeyException {

    System.out.println("Database(retrieve): "+key);

    if (entries.containsKey(key)) 
      return (String) entries.get(key);

    throw new UnknownKeyException(key);
  }
}
