package test.remote;

import replica.*;

/**
 * This class is an executable class. It demonstrates how the remote access works.
 *
 * @author Markus Jger
 * @version 1.0
 * 
 * @see Query 
 * @see Update
 */
public class Server {
  public static void main(String argv[]) {
    
    // parse arguments
    int callInPort = 12345;
    if (argv.length >= 1) {
      try {
	callInPort = Integer.parseInt(argv[0]);
      } catch (NumberFormatException e) {
	callInPort = 12345;
      }
    }

    // start ReplicationEnvironment
    new ReplicationEnvironment(callInPort);

    // create an object 
    Database base = new Database();
    new AccessControlObject(base, new AccessLocalTransmitROR());	

    NameService nameService = NameService.getLocalNS();
    nameService.register("Database", base);
  }
}
